Index: system/global/dispatcher.php
===================================================================
--- system/global/dispatcher.php	(revision 1840)
+++ system/global/dispatcher.php	(working copy)
@@ -44,6 +44,7 @@
         case 'admin/surveys': return new Admin_Surveys();
         case 'commentdoc': return new Form_CommentDoc();
         case 'community': return new Page_Community();
+        case 'community/contributors': return new Page_Contributors();
         case 'community/docadd': return new Form_CommunityDocAdd(isset($pargs[1])?$pargs[1]:-1);
         case 'community/docedit': return new Form_CommunityDocEdit(isset($pargs[1])?$pargs[1]:-1);
         case 'community/lists/subscribe': return new Form_Subscribe();
@@ -54,7 +55,6 @@
         case 'docs/faqs': return new Page_FAQ($pargs[1],'docs');
         case 'docs/techdocs': return new Page_CommunityDocs('docs',$pargs[0],0,count($pargs)>1?$pargs[1]:null);
         case 'download/mirrors-ftp': return new Page_Mirrors();
-        case 'developer/bios': return new Page_Developers();
         case 'developer/ext': return new Page_FAQ($pargs[1],'developer');
         case 'login': return new Form_Login();
         case 'search': return new Page_Search();
Index: system/page/contributors.php
===================================================================
--- system/page/contributors.php	(revision 0)
+++ system/page/contributors.php	(revision 0)
@@ -0,0 +1,95 @@
+<?php
+// $Id: contributors.php,v 1.1 2007-09-13 12:00:47 mha Exp $
+// Contributors
+class Page_Contributors extends PgPage {
+   function __construct() {
+      $this->navsection = 'community';
+      $this->content_template = 'en/community/contributors.html';
+   }
+// No select from developers_types doesn't make sense but it was cleaner this way (jd)
+   function Render() {
+       $rs = $this->pg_query('SELECT type,typename,extrainfo,detailed FROM developers_types');
+       while ($row = pg_fetch_row($rs)) {
+           $sectname[$row[0]] = $row[1];
+           $sectinfo[$row[0]] = $row[2];
+           if ($row[3] == 0) {
+               $nodetails[$row[0]] = 1;
+           }
+       }
+
+       $rs = $this->pg_query("SELECT type,firstname||' '||lastname AS name,email,company,companyurl,location,contribution FROM developers NATURAL JOIN developers_types ORDER BY sortorder,lastname,firstname");
+       $lasttype=-1;
+       for ($rownum=0; $rownum < pg_num_rows($rs); $rownum++) {
+           $row = pg_fetch_array($rs, $rownum, PGSQL_NUM);
+           if ($lasttype != $row[0]) {
+               // New type
+               if ($lasttype != -1) {
+                   $this->tpl->parse('outer_loop');
+               }
+               $this->tpl->setVariable('section_name', $sectname[$row[0]]);
+               $this->tpl->setVariable('section_description', $sectinfo[$row[0]]);
+               if (!isset($nodetails[$row[0]])) {
+                   $this->tpl->touchBlock('header_major');
+                   $odd = 0;
+               }
+               else {
+                   $odd = 1;
+               }
+               $lasttype = $row[0];
+           }
+           if ($rownum+1 == pg_num_rows($rs) ||
+               $row[0] != pg_fetch_result($rs, $rownum+1, 0)) {
+               // Next row is in a new section
+               $this->tpl->setVariable('rowmod', 'class="lastrow"');
+           }
+           if (!isset($nodetails[$row[0]])) {
+               // Normal view
+               $comp = '';
+               if ($row[3] != '') {
+                   if ($row[4] != '') {
+                       $comp = '<a href="' . $row[4] . '">' . htmlentities($row[3],ENT_COMPAT,'utf-8') . '</a><br/>';
+                   }
+                   else {
+                       $comp = htmlentities($row[3],ENT_COMPAT,'utf-8') . '<br/>';
+                   }
+               }
+               $this->tpl->setVariable(array(
+                   'name' => htmlentities($row[1],ENT_COMPAT,'utf-8'),
+                   'email' => $this->cleanemail($row[2],ENT_COMPAT,'utf-8'),
+                   'company' => $comp,
+                   'location' => htmlentities($row[5],ENT_COMPAT,'utf-8'),
+                   'contribution' => htmlentities($row[6],ENT_COMPAT,'utf-8')
+               ));
+               $this->tpl->parse('inner_loop');
+           }
+           else {
+               // No details view
+               // Somewhat ugly, since we need to do two-column here
+               $this->tpl->setVariable(array(
+                   'name' . $odd => htmlentities($row[1],ENT_COMPAT,'utf-8'),
+                   'email' . $odd => $this->cleanemail($row[2])
+               ));
+               if ($odd == 1) {
+                   // Just did first column, just move to next
+                   $odd = 2;
+               }
+               else {
+                   // Did second column, spit out before moving on
+                   $this->tpl->parse('inner_loop_small');
+                   $odd = 1;
+               }
+           }
+       }
+       // Dual column table
+       if ($odd == 2) {
+           // Did a single column in a dual-column table
+           $this->tpl->setVariable(array('name2'=>'','email2'=>''));
+           $this->tpl->parse('inner_loop_small');
+       }
+   }
+
+   function cleanemail($email) {
+       return '(' . htmlentities(str_replace('@',' at ', $email),ENT_COMPAT,'utf-8') . ')';
+   }
+}
+?>
Index: system/page/developers.php
===================================================================
--- system/page/developers.php	(revision 1840)
+++ system/page/developers.php	(working copy)
@@ -1,95 +0,0 @@
-<?php
-// $Id: developers.php,v 1.1 2007-09-13 12:00:47 mha Exp $
-// Developers
-class Page_Developers extends PgPage {
-   function __construct() {
-      $this->navsection = 'developer';
-      $this->content_template = 'developer/bios.html';
-   }
-
-   function Render() {
-       $rs = $this->pg_query('SELECT type,typename,extrainfo,detailed FROM developers_types');
-       while ($row = pg_fetch_row($rs)) {
-           $sectname[$row[0]] = $row[1];
-           $sectinfo[$row[0]] = $row[2];
-           if ($row[3] == 0) {
-               $nodetails[$row[0]] = 1;
-           }
-       }
-
-       $rs = $this->pg_query("SELECT type,firstname||' '||lastname AS name,email,company,companyurl,location,contribution FROM developers NATURAL JOIN developers_types ORDER BY sortorder,lastname,firstname");
-       $lasttype=-1;
-       for ($rownum=0; $rownum < pg_num_rows($rs); $rownum++) {
-           $row = pg_fetch_array($rs, $rownum, PGSQL_NUM);
-           if ($lasttype != $row[0]) {
-               // New type
-               if ($lasttype != -1) {
-                   $this->tpl->parse('outer_loop');
-               }
-               $this->tpl->setVariable('section_name', $sectname[$row[0]]);
-               $this->tpl->setVariable('section_description', $sectinfo[$row[0]]);
-               if (!isset($nodetails[$row[0]])) {
-                   $this->tpl->touchBlock('header_major');
-                   $odd = 0;
-               }
-               else {
-                   $odd = 1;
-               }
-               $lasttype = $row[0];
-           }
-           if ($rownum+1 == pg_num_rows($rs) ||
-               $row[0] != pg_fetch_result($rs, $rownum+1, 0)) {
-               // Next row is in a new section
-               $this->tpl->setVariable('rowmod', 'class="lastrow"');
-           }
-           if (!isset($nodetails[$row[0]])) {
-               // Normal view
-               $comp = '';
-               if ($row[3] != '') {
-                   if ($row[4] != '') {
-                       $comp = '<a href="' . $row[4] . '">' . htmlentities($row[3],ENT_COMPAT,'utf-8') . '</a><br/>';
-                   }
-                   else {
-                       $comp = htmlentities($row[3],ENT_COMPAT,'utf-8') . '<br/>';
-                   }
-               }
-               $this->tpl->setVariable(array(
-                   'name' => htmlentities($row[1],ENT_COMPAT,'utf-8'),
-                   'email' => $this->cleanemail($row[2],ENT_COMPAT,'utf-8'),
-                   'company' => $comp,
-                   'location' => htmlentities($row[5],ENT_COMPAT,'utf-8'),
-                   'contribution' => htmlentities($row[6],ENT_COMPAT,'utf-8')
-               ));
-               $this->tpl->parse('inner_loop');
-           }
-           else {
-               // No details view
-               // Somewhat ugly, since we need to do two-column here
-               $this->tpl->setVariable(array(
-                   'name' . $odd => htmlentities($row[1],ENT_COMPAT,'utf-8'),
-                   'email' . $odd => $this->cleanemail($row[2])
-               ));
-               if ($odd == 1) {
-                   // Just did first column, just move to next
-                   $odd = 2;
-               }
-               else {
-                   // Did second column, spit out before moving on
-                   $this->tpl->parse('inner_loop_small');
-                   $odd = 1;
-               }
-           }
-       }
-       // Dual column table
-       if ($odd == 2) {
-           // Did a single column in a dual-column table
-           $this->tpl->setVariable(array('name2'=>'','email2'=>''));
-           $this->tpl->parse('inner_loop_small');
-       }
-   }
-
-   function cleanemail($email) {
-       return '(' . htmlentities(str_replace('@',' at ', $email),ENT_COMPAT,'utf-8') . ')';
-   }
-}
-?>
Index: template/navigation/community.html
===================================================================
--- template/navigation/community.html	(revision 1840)
+++ template/navigation/community.html	(working copy)
@@ -1,5 +1,6 @@
 <ul>
 <li><a href="/community/">func_lang("Community")</a></li>
+<li><a href="/community/contributors">func_lang("Contributors")</a>
 <li><a href="/community/lists/">func_lang("Mailing Lists")</a>
 	<ul>
 		<li><a href="/community/lists/subscribe">func_lang("Subscribe")</a></li> 
Index: template/navigation/developer.html
===================================================================
--- template/navigation/developer.html	(revision 1840)
+++ template/navigation/developer.html	(working copy)
@@ -1,6 +1,6 @@
 <ul>
 <li><a href="/developer/">func_lang("Developers")</a></li>
-<li><a href="/developer/bios">func_lang("Developer Profiles")</a></li>
+<li><a href="/community/contributors">func_lang("Developer Profiles")</a></li>
 <li><a href="/developer/roadmap">func_lang("Roadmap")</a></li>
 <li><a href="/developer/coding">func_lang("Coding")</a>
 </li>
Index: template/en/community/contributors.html
===================================================================
--- template/en/community/contributors.html	(revision 0)
+++ template/en/community/contributors.html	(revision 0)
@@ -0,0 +1,42 @@
+<!-- BEGIN page_title_block -->
+Contributor Profiles
+<!-- END page_title_block -->
+
+<h1>Contributor Profiles</h1>
+<p>These are the fine people that make PostgreSQL what it is today!</p>
+
+<!-- BEGIN outer_loop -->
+<h2>{section_name}</h2>
+<p>{section_description}</p>
+
+<div class="tblBasic">
+<table border="0" cellpadding="0" cellspacing="0" class="tblBasicGrey">
+<!-- BEGIN header_major -->
+<tr>
+	<th class="colFirst">Contributor</th>
+	<th class="colLast">Contribution</th>
+</tr>
+<!-- END header_major -->
+
+<!-- BEGIN inner_loop -->
+<tr {rowmod}>
+    <td class="colFirst">{name} {email}<br />{company}{location}</td>
+    <td class="colLast">{contribution}</td>
+</tr>
+<!-- END inner_loop -->
+
+<!-- BEGIN inner_loop_small -->
+<tr {rowmod}>
+    <td class="colFirst">{name1} {email1}</td>
+    <td class="colLast">{name2} {email2}</td>
+</tr>
+<!-- END inner_loop_small -->
+
+</table>
+</div>
+<!-- END outer_loop -->
+
+<p>All contributors are listed in alphabetical order. Please report omissions or corrections to the <a href="mailto:webmaster@postgresql.org">webmaster</a>.</p>
+
+
+<p><a href="http://candle.pha.pa.us/cgi-bin/private/index.cgi">Directory (password required)</a></p>
Index: template/en/developer.html
===================================================================
--- template/en/developer.html	(revision 1840)
+++ template/en/developer.html	(working copy)
@@ -7,9 +7,7 @@
 
 <p>A PostgreSQL database developer is someone who is actually working on the project, not someone using it to develop
 an application or a website. We don't hire programmers, we reach across the Internet, drawing the best database
-developers in the world to PostgreSQL. Read about the <a href="/developer/bios">people behind PostgreSQL</a> and 
-check out the <a href="/files/community/conference06/conference_group.html">group picture</a> from the 2006 
-PostgreSQL Anniversary Summit. 
+developers in the world to PostgreSQL. 
 </p>
 
 <h2>What will you find here?</h2>
